#Module-Specific definitions
%define mod_name mod_ruby
%define mod_conf 20_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	DSO module for the apache web server
Name:		apache-%{mod_name}
Version:	1.3.0
Release:	%mkrel 3
Group:		System/Servers
License:	BSD
URL:		http://www.modruby.net/
Source0:	%{mod_name}-%{version}.tar.gz
Source1:	%{mod_conf}
Patch0:		mod_ruby-build_fix.diff
BuildRequires:	ruby-devel
Requires:	ruby
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_ruby embeds the Ruby interpreter into the Apache web server,
allowing Ruby CGI scripts to be executed natively. These scripts
will start up much faster than without mod_ruby.

%prep

%setup -q -n %{mod_name}-%{version}
%patch0 -p0

cp %{SOURCE1} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
rm -f ./configure.rb
ruby ./autoconf.rb
ruby ./configure.rb \
    --with-apxs=%{_sbindir}/apxs \
    --with-apr-includes="`apr-1-config --includes|sed -e 's/-I//'`"

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache
install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

make DESTDIR="%{buildroot}" install

mv %{buildroot}%{_libdir}/apache/%{mod_so} %{buildroot}%{_libdir}/apache-extramodules
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

# fix weird stuff...
chmod 755 %{buildroot}%{_libdir}/apache-extramodules/%{mod_so}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_prefix}/lib/ruby


%changelog
* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.0-3mdv2010.1
+ Revision: 516172
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.0-2mdv2010.0
+ Revision: 406642
- rebuild

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.0-1mdv2010.0
+ Revision: 387726
- 1.3.0

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.6-8mdv2009.1
+ Revision: 326229
- rebuild

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.6-7mdv2009.0
+ Revision: 235819
- added a build fix (not correct but it builds...)
- don't strip the module by force
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.6-6mdv2009.0
+ Revision: 215628
- fix rebuild

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.6-5mdv2008.1
+ Revision: 182866
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1:1.2.6-4mdv2008.1
+ Revision: 170745
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.6-3mdv2008.0
+ Revision: 82667
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-2mdv2007.1
+ Revision: 140736
- rebuild

* Mon Feb 12 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.6-1mdv2007.1
+ Revision: 118931
- 1.2.6

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.5-2mdv2007.0
+ Revision: 79497
- Import apache-mod_ruby

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.5-2mdv2007.0
- rebuild

* Mon Apr 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.5-1mdk
- 1.2.5

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.4-1mdk
- fix versioning

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.2.4-2mdk
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.2.4-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.2.4-4mdk
- use the %%mkrel 1

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.2.4-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.2.4-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.2.4-1mdk
- rebuilt for apache 2.0.53

* Tue Nov 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.2.4-1mdk
- rebuilt for apache 2.0.52

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.2.4-1mdk
- 1.2.4

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.2.2-1mdk
- 1.2.2

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.2.0-1mdk
- built for apache 2.0.50
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_1.2.0-1mdk
- 1.2.0
- built for apache 2.0.49

